1. Customers
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Customers

Customer Elements

UID#

uid - eLogii-generated ID. It is unique to every entity.

External ID#

externalId - Used for various purposes, usually as a tracking code for a driver, or to store internal driver-related information. It is not a unique value.

Reference#

reference - Reference from your external system. Additional custom data can be saved using the customData field.

Name#

name - Indicates the customer's name (required field).

Description#

description - Contains more information about the customer entity.

Contact Name#

contactName - The name of the contact person.

Contact Phone#

contactPhone - The phone number of the contact person.

Contact Email#

contactEmail - The email address of the contact person.

Locations#

locations - Each customer entity can have multiple physical locations. This is to indicate a chain of stores or companies with different locations.
externalId – Used for various purposes, usually as a tracking code for a driver, or to store internal driver-related information. It is not a unique value.
reference – A reference from your external system.
name – The name of the location.
address – Location’s address.
addressLine2 – Location’s 2nd address.
postCode – location’s postcode.
city – Location’s city.
country – Location’s country.
what3words – What3words code for the exact location.
coordinates – Location’s coordinates. Format [longitude, latitude]
contactName – Contact person name.
contactPhone – Contact person’s phone number.
contactEmail – Contact person’s email address.
instructions – Driver instructions for the location.
schedule – opening hours for location. It will be used if time window is not provided.
setupDuration – the setup duration for the location.
serviceDuration – the service duration for the location.

Tags#

tags - Tags relating to the customer entity.

Teams#

teams - Which teams should be assigned to Tasks associated with the customer.

User Information#

userInfo - Stores customer dashboard login information.
firstName- Customer's first name.
lastName - Customer's last name.
password - Customer's password.

Configuration#

configuration - Configuration setup for Tasks associated with the customer.
taskActions -
pickup - Actions for the entity (task or task item) at pickup.
type - enum representing the type of task action.
0
1
2
3
4
5
6
identity code

typeText - Action which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it in order to proceed
delivery - Actions for the entity (task or task item) at delivery.
type - enum representing the type of action.
0
1
2
3
4
5
6
identity code

typeText - Action which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it to proceed.
warehouse - Actions for the entity (task or task item) at the warehouse.
type - enum representing the type of action.
0
1
2
3
4
5
6
identity code

typeText - Action which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it to proceed.
applyItemActionsToTaskWhenNoItems - Apply actions defined for task items to the task itself, when it contains no items.
taskFailedActions - Actions for failed Tasks.
pickup - Actions for the entity (task or task item) at pickup.
type - enum representing the type of action.
0
1
2
3
4
5
6
identity code

typeText - Action which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it to proceed.
delivery - Actions for the entity (task or task item) at delivery.
type - enum representing the type of action.
0
1
2
3
4
5
6
identity code

typeText - Action which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it to proceed.
warehouse - Actions for the entity (task or task item) at the warehouse.
type - enum representing the type of action.
0
1
2
3
4
5
6
identity code

typeText - Actions which could either be confirmation, cash on delivery, comment, photo,signature, barcode/manual input code,identity code.
required - Default: false. Indicate whether this action is shown to the driver as optional or whether it's required to complete it to proceed.
applyItemActionsToTaskWhenNoItems - Apply actions defined for task items to the task itself, when it contains no items.
taskPriority - Defines the priority of the Task
notifications - Notifications sent to pickup and/or delivery contact, or to depot contact.
pickup - defines when notifications to the pickup contact will be triggered and which notification type will be sent i.e sms, email or viber.
email
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
sms
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
viber
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
delivery - defines when notifications to the delivery contact will be triggered and which notification type will be sent i.e sms, email or viber.
email
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
sms
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
viber
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
depot - defines when notifications to the depot contact will be triggered and which notification type will be sent i.e sms, email or viber.
email
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
sms
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
viber
created
scheduled
enRoute
arrived
completed
failed
cancelled
pickupEnRoute
pickupArrived
pickupCompleted
pickupFailed
customerAddressEdit
customerRescheduled
enable :false [default]
taskSkills - Skills required to do the Task. Automatically assigned to the Task if it’s associated with the desired customer location.
taskCapabilities - Capabilities required to do the Task. Automatically assigned to the Task if it’s associated with the desired customer location.
taskTags - Tags that will be applied to the Task associated with a particular customer location
taskEarlinessTolerance - How early the driver can be to the customer location.
taskLatenessTolerance - How late the driver can be to the customer location.
taskAllowedWeekDays - Days of the week during which the driver can execute tasks for the specific customer location.
customerDashboard - Customer dashboard settings and options for the customer location.
enableAddTask - Dashboard users can add tasks (default is False).
cancelAllowedCondition -
rescheduleAllowedCondition - Dashboard users can reschedule Tasks. (default is False).
enableImportTask - Dashboard users can import tasks (default is False).
enableExportTask - Dashboard users can export tasks in CSV (default is False).
enableTaskDateRange - Dashboard users can schedule tasks for date ranges (default is False).
enableTaskTimeWindows - Dashboard users can set Task time windows (default is False).
enablePrintTaskLabel - Dashboard users can print task labels (default is False).
enablePODPDF - Dashboard users can export PODPDF (default is False).
enableCustomerLocationsEdit - Dashboard users can edit Customer locations (default is False).
defaultLocale - set the default language.
taskDetails - Control Task elements to show Dashboard users.
hideETA - Show or hide ETA from the task card(Default: false).
ETAmessage - If ETA is hidden, which message should be shown to the dashboard user.
ETAInterval - If ETA is hidden, which interval should be shown.
showTaskReference - If the Task reference should be shown (Default: false).
showTaskUID - If the Task uid should be displayed (Default: true).
showTaskItems - If Items should be displayed (Default: false).
showCustomData - If custom data should be shown (Default: false).
showRating - If the driver rating for the executed task should be shown (Default: false).
showTaskHistory - if task history should be shown (Default: false).
codeSnippet
support - Support contact information
companyName - Name of the customer’s company.
customerPhone - Phone number that can be called.
customerEmail - email address used for enquiries.
serviceDuration - How long the driver is to perform the task for the associated customer.

Custom data#

customData - Holds additional reference, external IDs, or any other desired data.
Modified at 2025-11-24 18:48:25
Previous
Delete drivers
Next
Get customers
Built with